#ifdef GL_ES
precision mediump float;
#endif
 
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
 
uniform float MoveClip;
uniform vec2 resolution;

 
void main(void)
{
	vec4 color1  = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
	vec2 pos = vec2(v_texCoord.x*resolution.x, (1.0 - v_texCoord.y)*resolution.y);
	float temp = pos.x;
	if(temp>MoveClip)
	{
		gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0); 
	}	
	else{
		gl_FragColor = color1;	
	}
}